Debian Bug report logs - #685675
live-build: minimal and standard are not valid debootstrap variants

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Colin Watson <cjwatson@ubuntu.com>

Date: Thu, 23 Aug 2012 09:09:01 UTC

Severity: normal

Tags: patch

Found in version live-build/3.0~a57-1

Fixed in version live-build/3.0~a58-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#685675; Package live-build. (Thu, 23 Aug 2012 09:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 23 Aug 2012 09:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: submit@bugs.debian.org
Subject: live-build: minimal and standard are not valid debootstrap variants
Date: Thu, 23 Aug 2012 10:07:34 +0100
Package: live-build
Version: 3.0~a57-1
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu ubuntu-patch quantal

As of commit 81fb4294538a7204232d3e76195a778df0ee3ee1, lb config
--bootstrap-flavour=minimal causes debootstrap to be invoked with
--variant=minimal, which produces "E: unsupported variant".  This should
be --variant=minbase instead.

Index: b/scripts/build/lb_bootstrap_debootstrap
===================================================================
--- a/scripts/build/lb_bootstrap_debootstrap
+++ b/scripts/build/lb_bootstrap_debootstrap
@@ -84,7 +84,18 @@
 	false)
 		if [ -n "${LB_BOOTSTRAP_FLAVOUR}" ]
 		then
-			DEBOOTSTRAP_OPTIONS="${DEBOOTSTRAP_OPTIONS} --variant=${LB_BOOTSTRAP_FLAVOUR}"
+			case "${LB_BOOTSTRAP_FLAVOUR}" in
+				minimal)
+					DEBOOTSTRAP_OPTIONS="${DEBOOTSTRAP_OPTIONS} --variant=minbase"
+					;;
+
+				standard)
+					;;
+
+				*)
+					DEBOOTSTRAP_OPTIONS="${DEBOOTSTRAP_OPTIONS} --variant=${LB_BOOTSTRAP_FLAVOUR}"
+					;;
+			esac
 		fi
 		;;
 esac

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Mon, 27 Aug 2012 14:51:50 GMT) Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@ubuntu.com>:
Bug acknowledged by developer. (Mon, 27 Aug 2012 14:51:50 GMT) Full text and rfc822 format available.

Message #10 received at 685675-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 685675-close@bugs.debian.org
Subject: Bug#685675: fixed in live-build 3.0~a58-1
Date: Mon, 27 Aug 2012 14:47:42 +0000
Source: live-build
Source-Version: 3.0~a58-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685675@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 27 Aug 2012 16:33:10 +0200
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a58-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System build scripts
 live-build-cgi - Debian Live - System build scripts (CGI frontend)
Closes: 684865 684893 684896 685534 685675
Changes: 
 live-build (3.0~a58-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Simplyfing sourcing of build.sh and getting away with the broken
     subshell construct.
 .
   [ Richard Nelson ]
   * Remove frontend/cgi unofficial custom binary and custom bootstrap
     options.
 .
   [ Daniel Baumann ]
   * Correcting typo in binary_syslinux when writing the flavour name to
     the config files (Closes: #684865).
   * Correcting fallback for default binary volatile mirror on ubuntu,
     thanks to Luigi Capriotti <l.capriotti@xbmc.org>.
   * Correcting wrong path to syslinux configuration files when using
     live-build from a local git clone, thanks to Raphael Hertzog
     <hertzog@debian.org> (Closes: #684893).
   * Switching back to use the more common ${@} instead of ${*}, it's not
     required in current lb_clean anymore.
   * Using /etc/live/build/*.conf instead of /etc/live/build.d/*.conf for
     consistency reasons.
   * Moving from cdn.debian.net to http.debian.net as binary mirror.
 .
   [ Richard Nelson ]
   * frontend/cgi rename BINARY_INDICES to APT_INDICES
   * frontend/cgi only source /usr/lib/live/build.sh
   * frontend/cgi cleanup and support for clone, config, and build on
     cron job.
   * frontend/cgi cleanup remarked line of common function source from
     last commit on l-b-c.cron.
 .
   [ Daniel Baumann ]
   * Improving check for missing apt-ftparchive to check for the actual
     file, rather than to check for a possible missleading bootstrap
     flavour.
   * Removing bootstrap-flavour option (Closes: #685675).
   * Removing bootstrap-include and bootstrap-exclude options.
   * Removing bootstrap-keyring option.
   * Correcting wrong bootstrap-qemu-exclude variable in defaults.
   * Applying patch from Colin Watson <cjwatson@ubuntu.com> to correct
     chroot hooks execution (Closes: #685534).
   * Exposing --debootstrap-options and --cdebootstrap-options publicly.
   * Adding some comments about the different locations of live-build in
     the central lb wrapper.
   * Calling local live-build embedded in config directly rather than to
     adjust path.
   * Removing old LB= hack when wrapper was not mandatory.
   * Moving aborting when no bootstrap tool is installed from defaults to
     the respective bootstrap script.
   * Correcting printf call cosmetically in central wrapper when
     prepending date and time for each command to not choke upon multiple
     arguments.
   * Making build.sh sourcing more robust (Closes: #684896).
   * Dropping lb prefix from live-build scripts, not needed anymore.
   * Setting default progress distribution from artax to baureo.
Checksums-Sha1: 
 9ab210e2a91d697bea3f6f464f58feb5dee5d401 1329 live-build_3.0~a58-1.dsc
 134dce71189570b5c73e5d40cb38a2bb5cc47e32 162952 live-build_3.0~a58.orig.tar.xz
 fe3955c5fb6a594e47c0ad9f1cb4a8d7bb2e19cd 47304 live-build_3.0~a58-1.debian.tar.xz
 286fd1c3dbe9e1b0902d988701f4618ec425b9cd 193646 live-build_3.0~a58-1_all.deb
 738fbee1c75d14f49c6c3785612bd57cf69c804c 70932 live-build-cgi_3.0~a58-1_all.deb
Checksums-Sha256: 
 1a27a7cc8b0fc9a8eab4dc17161af08cf3d785b21df8429e4dabe6a578d15048 1329 live-build_3.0~a58-1.dsc
 9d11aaadef6c703eb3ae8a243a56cd18dce6ffa8b5345f65e8e42267a009a7d4 162952 live-build_3.0~a58.orig.tar.xz
 22143513f2455054067d6f492c9d0bfc83f6583d316fded3310f144391e99367 47304 live-build_3.0~a58-1.debian.tar.xz
 994ed9df79693abe60afc94ebb26f9410e05601e0efca09700d624fbc98a85d6 193646 live-build_3.0~a58-1_all.deb
 bcc5f20400c85ebcdc8e385bacd33284861b0d1c5a606f767ec99399485df83e 70932 live-build-cgi_3.0~a58-1_all.deb
Files: 
 331aad96cf35d0adb39a9605fb96e945 1329 misc optional live-build_3.0~a58-1.dsc
 7a8d205753d15dd5f6ff8a302cae88db 162952 misc optional live-build_3.0~a58.orig.tar.xz
 c84008c0ab4f25f3c2857f9cc91dd29c 47304 misc optional live-build_3.0~a58-1.debian.tar.xz
 f1a831f5f5599b7debe15042224f28eb 193646 misc optional live-build_3.0~a58-1_all.deb
 c78087f735a8a8abbf4398749eff559f 70932 misc optional live-build-cgi_3.0~a58-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlA7h1EACgkQ+C5cwEsrK54SJwCgj3k5802CyUxzI6vpm1qmzbCM
mF4AnA+FziNtdvNXUE3qPbXCyUOzfCuQ
=7sDd
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Sep 2012 07:28:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:24:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.